

const require_CredoError = require('../../error/CredoError.js');
require('../../error/index.js');

//#region src/modules/dcql/DcqlError.ts
var DcqlError = class extends require_CredoError.CredoError {
	constructor(message, { cause, additionalMessages } = {}) {
		let fullMessage = message;
		if (additionalMessages?.length) fullMessage += `\n - ${additionalMessages.join("\n - ")}`;
		super(fullMessage, { cause });
		this.additionalMessages = additionalMessages;
	}
};

//#endregion
exports.DcqlError = DcqlError;